org.keycloak.models.sessions.infinispan.entities

## Class RootAuthenticationSessionEntity.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.RootAuthenticationSessionEntity.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<RootAuthenticationSessionEntity>
  Enclosing class:
    RootAuthenticationSessionEntity

      public static class RootAuthenticationSessionEntity.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<RootAuthenticationSessionEntity>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RootAuthenticationSessionEntity` | `readObject(ObjectInput input)`
    `RootAuthenticationSessionEntity` | `readObjectVersion1(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, RootAuthenticationSessionEntity value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  RootAuthenticationSessionEntity value)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<RootAuthenticationSessionEntity>`
      Throws:
        `IOException`

    - #### readObject

          public RootAuthenticationSessionEntity readObject(ObjectInput input)
                                                     throws IOException,
                                                            ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<RootAuthenticationSessionEntity>`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion1

          public RootAuthenticationSessionEntity readObjectVersion1(ObjectInput input)
                                                             throws IOException,
                                                                    ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.